<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Qualifikationen;

abstract class WerdegangView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->teilnehmer);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpTeilnehmer();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->werdegang);
  }
}

class WerdegangViewModel
{
  public $teilnehmer;
  public $columns;
  public $index;
  public $showCheckbox;
  public $werdegang;
}